<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1EventDispatcher.html">EventDispatcher</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">gg::EventDispatcher Member List</div></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classgg_1_1EventDispatcher.html">gg::EventDispatcher</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1EventDispatcher.html#ab3245f7372c0d5384580f75c0ce2301b">CheckSubscriberExistence</a></td><td class="entry"><a class="el" href="classgg_1_1EventDispatcher.html">gg::EventDispatcher</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1EventDispatcher.html#a87ff25ad98e9fa481e6f64247d7aba4d">EventDispatcher</a>(EventDispatcher &amp;&amp;)=delete</td><td class="entry"><a class="el" href="classgg_1_1EventDispatcher.html">gg::EventDispatcher</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1EventDispatcher.html#a7b583685f6d4dd8685bab4f7c5e3e279">EventDispatcher</a>(const EventDispatcher &amp;)=delete</td><td class="entry"><a class="el" href="classgg_1_1EventDispatcher.html">gg::EventDispatcher</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1EventDispatcher.html#ab0f8028199ca3b02d37f642ac24e6e53">GetInstance</a>() -&gt; EventDispatcher &amp;</td><td class="entry"><a class="el" href="classgg_1_1EventDispatcher.html">gg::EventDispatcher</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1EventDispatcher.html#ac0c4379683c748e569a9fa6be55bab55">NotifySubscribers</a>(IEvent *e)</td><td class="entry"><a class="el" href="classgg_1_1EventDispatcher.html">gg::EventDispatcher</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1EventDispatcher.html#a7ad81d66b2f595f42de4e7841ef11044">NumberOfSubscribers</a>() -&gt; int</td><td class="entry"><a class="el" href="classgg_1_1EventDispatcher.html">gg::EventDispatcher</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1EventDispatcher.html#ad509264c69cbbbace55964f563d7d0d8">operator=</a>(const EventDispatcher &amp;) -&gt; EventDispatcher &amp;=delete</td><td class="entry"><a class="el" href="classgg_1_1EventDispatcher.html">gg::EventDispatcher</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1EventDispatcher.html#a7b6b1302a26315587a73a74ac8395c71">operator=</a>(EventDispatcher &amp;&amp;) -&gt; EventDispatcher &amp;=delete</td><td class="entry"><a class="el" href="classgg_1_1EventDispatcher.html">gg::EventDispatcher</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1EventDispatcher.html#a7d3c833a67f1cde56f6f4ca2ed0a4fbd">RemoveSubscriber</a>(IEventSubscriber *s)</td><td class="entry"><a class="el" href="classgg_1_1EventDispatcher.html">gg::EventDispatcher</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1EventDispatcher.html#a25898f3f671cc2fcdb9ac2e5b5fd1a3e">Subscribe</a>(IEventSubscriber *s, const EventType e)</td><td class="entry"><a class="el" href="classgg_1_1EventDispatcher.html">gg::EventDispatcher</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1EventDispatcher.html#aa2ac8a84c686abe1e1d1319e82221ed7">Unsubscribe</a>(IEventSubscriber *s, const EventType e)</td><td class="entry"><a class="el" href="classgg_1_1EventDispatcher.html">gg::EventDispatcher</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
